// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
define(['hp/services/REST', 'hp/services/Log', 'jquery'],
function(REST, log) { 
    return {
        /**
         * @public
         * Get authorizations for the session
         * @param {string} authToken The authtoken from login
         * @param {Object} handlers Should contain a "success"
         *                 function and an "error" function. e.g.
         *                 { success: function(loginSessionIdDto) {...},
         *                   error: function(errorInfo) {...}
         *                 }
         */
        getAll : function getAll(handlers) {
            REST.getURI('/authz/rest/authz/category-actions', handlers);
        }
    };
});
